<?php

namespace lib\Entities;

use lib\Entities\CommonEntity as Entity;
use lib\Models\GearlistModel as Model;

class GearlistEntity extends Entity
{
    const PKField = Model::PKField;
    const TitleField = Model::TitleField;
    const PairField = Model::PairField;
    public function __construct($datas)
    {
        parent::__construct($datas);
    } //
    public function getProcess(): string
    {
        return $this->process;
    } //
    public function getSpec(): string
    {
        return $this->spec;
    } //
    public function getCPUName(): string
    {
        return $this->cpuname;
    } //
    public function getPrice(): string
    {
        return $this->price;
    } //
} //Class
